Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List teams
cURL
curl --request GET \ --url https://api.rootly.com/v1/teams \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.rootly.com/v1/teams" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rootly.com/v1/teams', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.rootly.com/v1/teams", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.rootly.com/v1/teams" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.rootly.com/v1/teams") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.rootly.com/v1/teams") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "id": "<string>", "type": "groups", "attributes": { "name": "<string>", "created_at": "<string>", "updated_at": "<string>", "slug": "<string>", "managed_by": "web", "description": "<string>", "public_description": "<string>", "public_name": "<string>", "notify_emails": [ "<string>" ], "color": "<string>", "position": 123, "backstage_id": "<string>", "external_id": "<string>", "pagerduty_id": "<string>", "pagerduty_service_id": "<string>", "opsgenie_id": "<string>", "victor_ops_id": "<string>", "pagertree_id": "<string>", "cortex_id": "<string>", "service_now_ci_sys_id": "<string>", "scim_group_id": "<string>", "user_ids": [ 123 ], "admin_ids": [ 123 ], "alerts_email_enabled": true, "alerts_email_address": "<string>", "alert_urgency_id": "<string>", "slack_channels": [ { "id": "<string>", "name": "<string>" } ], "slack_aliases": [ { "id": "<string>", "name": "<string>" } ], "alert_broadcast_enabled": true, "alert_broadcast_channel": { "id": "<string>", "name": "<string>" }, "incident_broadcast_enabled": true, "incident_broadcast_channel": { "id": "<string>", "name": "<string>" }, "auto_add_members_when_attached": true, "auto_add_members_scope": "off", "schedule_override_policy": "everyone", "properties": [ { "catalog_property_id": "<string>", "value": "<string>" } ] } } ], "links": { "self": "<string>", "first": "<string>", "prev": "<string>", "next": "<string>", "last": "<string>" }, "meta": { "current_page": 123, "next_page": 123, "prev_page": 123, "total_count": 123, "total_pages": 123, "next_cursor": "<string>" }, "included": [ { "id": "<string>", "type": "<string>", "attributes": {}, "relationships": {} } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
comma separated if needed. eg: users
users
schedules
escalation_policies
success
Show child attributes
Was this page helpful?
Contact support